ServiceRemovedEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dvb.media
Class ServiceRemovedEvent

    java.lang.Object
      java.util.EventObject
          javax.media.ControllerEvent
              javax.media.TransitionEvent
                  javax.media.StopEvent
                      org.dvb.media.ServiceRemovedEvent

All Implemented Interfaces:
  Serializable, MediaEvent

    public class ServiceRemovedEvent

extends StopEvent

This event is generated whenever access to a service stops because the service concerned has been removed from the network. Generation of this event informs the application that the Player is no longer presenting any content.

Since:
  MHP 1.0.1
See Also:
  Serialized Form

Constructor Summary
`ServiceRemovedEvent(Controller source)` Construct an event.
`ServiceRemovedEvent(Controller source, int previous, int current, int target, MediaLocator stream)` Construct an event.

Method Summary
`MediaLocator` | `getStream()` This method returns the stream which was removed from the network

Methods inherited from class javax.media.StopEvent
`getMediaTime`

Methods inherited from class javax.media.TransitionEvent
`getCurrentState, getPreviousState, getTargetState`

Methods inherited from class javax.media.ControllerEvent
`getSource, getSourceController`

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceRemovedEvent

    public ServiceRemovedEvent(Controller source)

  Construct an event.

  Parameters:
    `source` - the controller which was presenting the service

### ServiceRemovedEvent

    public ServiceRemovedEvent(Controller source,
                               int previous,
                               int current,
                               int target,
                               MediaLocator stream)

  Construct an event.

  Parameters:
    `source` - the controller which was presenting the service
    `stream` - the locator of the stream which was removed from the network
    `previous` - the previous state of the controller
    `current` - the current state of the controller
    `target` - the target state of the controller

Method Detail

### getStream

    public MediaLocator getStream()

  This method returns the stream which was removed from the network

  Returns:
    the stream concerned

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD